Suivre une liste
curl --request POST \
--url https://api.x.com/2/users/{id}/followed_lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"list_id": "1146654567674912769"
}
'import requests
url = "https://api.x.com/2/users/{id}/followed_lists"
payload = { "list_id": "1146654567674912769" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({list_id: '1146654567674912769'})
};
fetch('https://api.x.com/2/users/{id}/followed_lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"following": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Gérer les listes
Suivre une liste
Permet à l’utilisateur authentifié de suivre une Liste spécifique par son ID.
POST
/
2
/
users
/
{id}
/
followed_lists
Suivre une liste
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’ID de l’utilisateur source authentifié qui suivra la Liste. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.
Exemple:
"2244994945"
Corps
application/json
L’identifiant unique de cette Liste.
Pattern:
^[0-9]{1,19}$Exemple:
"1146654567674912769"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
Minimum array length:
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I